HelpSet.Presentation
Keywords: javax.help.HelpSet.Presentation class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class HelpSet.Presentation

    java.lang.Object
      javax.help.HelpSet.Presentation

Enclosing class:
  HelpSet

public static class HelpSet.Presentation
extends java.lang.Object

HelpSet Presentation class. Contains information concerning a presentation in a HelpSet file

Since:
  2.0

Constructor Summary
`HelpSet.Presentation(java.lang.String name, boolean displayViews, boolean displayViewImages, java.awt.Dimension size, java.awt.Point location, java.lang.String title, Map.ID imageID, boolean toolbar, java.util.Vector helpActions)`

Method Summary
`java.util.Enumeration` | `getHelpActions(HelpSet hs, java.lang.Object control)` Returns an Enumeration HelpActions created from the list of Actions in the Presentation.
`Map.ID` | `getImageID()`
`java.awt.Point` | `getLocation()`
`java.lang.String` | `getName()`
`java.awt.Dimension` | `getSize()`
`java.lang.String` | `getTitle()`
`boolean` | `isToolbar()`
`boolean` | `isViewDisplayed()`
`boolean` | `isViewImagesDisplayed()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HelpSet.Presentation

    public HelpSet.Presentation(java.lang.String name,
                                boolean displayViews,
                                boolean displayViewImages,
                                java.awt.Dimension size,
                                java.awt.Point location,
                                java.lang.String title,
                                Map.ID imageID,
                                boolean toolbar,
                                java.util.Vector helpActions)

Method Detail

### getName

    public java.lang.String getName()

### getTitle

    public java.lang.String getTitle()

### getImageID

    public Map.ID getImageID()

### isViewDisplayed

    public boolean isViewDisplayed()

### isViewImagesDisplayed

    public boolean isViewImagesDisplayed()

### getSize

    public java.awt.Dimension getSize()

### getLocation

    public java.awt.Point getLocation()

### isToolbar

    public boolean isToolbar()

### getHelpActions

    public java.util.Enumeration getHelpActions(HelpSet hs,
                                                java.lang.Object control)

  Returns an Enumeration HelpActions created from the list of Actions in the Presentation.

  See Also:
    `HelpAction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD